#!/usr/bin/env python
# -*- coding:utf-8 -*-

import unittest
from plugins import ipc


class IPCTest(unittest.TestCase):
    def test_snapshot(self):
        host = 'ipc.pc'
        port = 2000
        user = 'admin'
        password = 'admin'
        image_dir = '../test/image'
        wsdl_dir = '../resource/wsdl'
        camera = ipc.IPC(host=host, port=port, user=user, password=password,
                         image_dir=image_dir, wsdl_dir=wsdl_dir)
        snapshot = camera.snapshot()
        print(snapshot)


if __name__ == '__main__':
    unittest.main()
